Query Customer Custom Fields
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/customers/customfields \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/customers/customfields"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/customers/customfields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"CustomFieldId": 123,
"GroupName": "<string>",
"Name": "<string>",
"PossibleValues": [
"<string>"
],
"Attribut": {
"Id": 123,
"IstMehrsprachig": 123,
"IstFreifeld": 123,
"Sortierung": 123,
"Beschreibung": "<string>",
"Bezugstyp": 123,
"Ausgabeweg": 123,
"IstStandard": 123,
"FeldTypId": 123,
"RegEx": "<string>",
"GruppeName": "<string>",
"ReadOnly": 123,
"AktivFuerArtikelOhneWarengruppe": true,
"IstPflichtfeld": true,
"AttributId": "<string>",
"IstUnsichtbar": true,
"SkipHooks": true,
"FeldTyp": {
"Id": 123,
"Name": "<string>",
"DatenTyp": 123,
"RegEx": "<string>",
"SkipHooks": true
},
"Bezeichnungen": [
{
"AttributId": 123,
"SpracheId": 123,
"Name": "<string>",
"WertListe": "<string>",
"SkipHooks": true
}
]
}
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}customer
Query Customer Custom Fields
Query all custom fields available for a customer
GET
/
v1
/
customers
/
customfields
Query Customer Custom Fields
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
The requested custom fields for items.
Unique ID to identify a custom field.
The group name for this custom field.
The custom field name.
The custom field type.
Available options:
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 The possible values, when the custom field is a list.
Attribute dienen zur flexibleren Verteilung von Eigenschaften zu bestimmten Objekten
Show child attributes
Show child attributes
Was this page helpful?
⌘I